Show / Hide Table of Contents

# Class OpenIddictValidationSystemNetHttpExtensions

Exposes extensions allowing to register the OpenIddict validation/System.Net.Http integration services.

##### Inheritance

System.Object
OpenIddictValidationSystemNetHttpExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictValidationSystemNetHttpExtensions

### Methods

#### UseSystemNetHttp(OpenIddictValidationBuilder)

Registers the OpenIddict validation/System.Net.Http integration services in the DI container.

##### Declaration

    public static OpenIddictValidationSystemNetHttpBuilder UseSystemNetHttp(this OpenIddictValidationBuilder builder)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationBuilder | builder | The services builder used by OpenIddict to register new services.

##### Returns

Type | Description
--- | ---
OpenIddictValidationSystemNetHttpBuilder | The OpenIddictValidationBuilder.

##### Remarks

This extension can be safely called multiple times.

#### UseSystemNetHttp(OpenIddictValidationBuilder, Action<OpenIddictValidationSystemNetHttpBuilder>)

Registers the OpenIddict validation/System.Net.Http integration services in the DI container.

##### Declaration

    public static OpenIddictValidationBuilder UseSystemNetHttp(this OpenIddictValidationBuilder builder, Action<OpenIddictValidationSystemNetHttpBuilder> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationBuilder | builder | The services builder used by OpenIddict to register new services.
System.Action<OpenIddictValidationSystemNetHttpBuilder> | configuration | The configuration delegate used to configure the validation services.

##### Returns

Type | Description
--- | ---
OpenIddictValidationBuilder | The OpenIddictBuilder.

##### Remarks

This extension can be safely called multiple times.